(function(s){typeof define=="function"&&define.amd?define(s):s()})(function(){"use strict";class s extends HTMLElement{constructor(){super(),this.pollId=null,this.adImage=null,this.adLink=null,this.attachShadow({mode:"open"})}static get observedAttributes(){return["poll-id","ad-image","ad-link"]}async attributeChangedCallback(t,e,o){e!==o&&(this[t.replace(/-./g,i=>i[1].toUpperCase())]=o,await this.updateWidget())}async connectedCallback(){this.pollId=this.getAttribute("poll-id")||"3000",this.adImage=this.getAttribute("ad-image")||"https://images.unsplash.com/photo-1533473359331-0135ef1b58bf?auto=format&fit=crop&q=80",this.adLink=this.getAttribute("ad-link")||"#",await this.updateWidget()}async updateWidget(){this.pollId&&await this.fetchAndRenderPoll(this.pollId,this.adImage||"",this.adLink||"")}async fetchAndRenderPoll(t,e,o){try{const r=await(await fetch(`https://post-summary.yukta.one/get_poll/${t}`)).json();r.status==="Approved"?this.render(r,e,o):this.renderError("This poll is not available.")}catch(i){console.error("Failed to load poll:",i),this.renderError()}}render(t,e,o){this.shadowRoot&&(this.shadowRoot.innerHTML=`
      <style>
        :host {
          display: block;
          font-family: system-ui, -apple-system, sans-serif;
          --primary-color: #2563eb;
          --primary-hover: #1d4ed8;
          --border-color: #e5e7eb;
          --background-hover: #f8fafc;
        }
        .container {
          display: grid;
          grid-template-columns: 1fr 300px;
          gap: 2rem;
          background: white;
          border-radius: 12px;
          box-shadow: 0 1px 3px rgba(0,0,0,0.1);
          padding: 2rem;
          max-width: 1200px;
          margin: 0 auto;
        }
        .poll-container {
          padding-right: 2rem;
          border-right: 1px solid var(--border-color);
        }
        .title {
          font-size: 1.5rem;
          font-weight: 600;
          color: #111827;
          margin-bottom: 1rem;
          text-align: center;
        }
        .question {
          font-size: 1.25rem;
          color: #1f2937;
          margin-bottom: 2rem;
          line-height: 1.4;
        }
        .options {
          display: flex;
          flex-direction: column;
          gap: 1rem;
        }
        .option {
          position: relative;
          padding: 1rem;
          border: 2px solid var(--border-color);
          border-radius: 8px;
          cursor: pointer;
          transition: all 0.2s ease;
        }
        .option:hover {
          background: var(--background-hover);
          border-color: var(--primary-color);
        }
        .option input[type="radio"] {
          position: absolute;
          opacity: 0;
        }
        .option label {
          display: block;
          padding-left: 2rem;
          cursor: pointer;
          font-size: 1rem;
          color: #374151;
        }
        .option label::before {
          content: '';
          position: absolute;
          left: 1rem;
          top: 50%;
          transform: translateY(-50%);
          width: 1.25rem;
          height: 1.25rem;
          border: 2px solid #9ca3af;
          border-radius: 50%;
          transition: all 0.2s ease;
        }
        .option input[type="radio"]:checked + label::before {
          border-color: var(--primary-color);
          background-color: var(--primary-color);
          box-shadow: inset 0 0 0 3px white;
        }
        .submit-button {
          display: block;
          width: 100%;
          margin-top: 2rem;
          padding: 0.75rem 1.5rem;
          background: #4CAF50;
          color: white;
          border: none;
          border-radius: 6px;
          font-size: 1rem;
          font-weight: 500;
          cursor: pointer;
          transition: background-color 0.2s ease;
        }
        .submit-button:hover {
          background: #43A047;
        }
        .submit-button:disabled {
          opacity: 0.5;
          cursor: not-allowed;
        }
        .ad-container {
          display: flex;
          flex-direction: column;
          align-items: center;
        }
        .ad-image {
          width: 100%;
          height: auto;
          border-radius: 8px;
          transition: transform 0.2s ease;
        }
        .ad-image:hover {
          transform: scale(1.02);
        }
        @media (max-width: 768px) {
          .container {
            grid-template-columns: 1fr;
          }
          .poll-container {
            padding-right: 0;
            border-right: none;
            border-bottom: 1px solid var(--border-color);
            padding-bottom: 2rem;
          }
        }
      </style>
      <div class="container">
        <div class="poll-container">
          <div class="title">Quiz</div>
          <div class="question">${t.question}</div>
          <div class="options">
            ${t.options.map((i,r)=>`
              <div class="option">
                <input type="radio" id="option-${r}" name="poll-option" value="${i}">
                <label for="option-${r}">${i}</label>
              </div>
            `).join("")}
          </div>
          <button class="submit-button" onclick="this.getRootNode().host.submitVote()">Check Answer</button>
        </div>
        <div class="ad-container">
          <a href="${o}" target="_blank">
            <img class="ad-image" src="${e}" alt="Advertisement" />
          </a>
        </div>
      </div>
    `)}renderError(t="Failed to load poll. Please try again later."){this.shadowRoot&&(this.shadowRoot.innerHTML=`
      <div style="color: #dc2626; padding: 1rem; text-align: center; font-family: system-ui, sans-serif;">
        ${t}
      </div>
    `)}async submitVote(){var o,i;if(!((o=this.shadowRoot)==null?void 0:o.querySelector('input[type="radio"]:checked'))){alert("Please select an option before submitting.");return}const e=(i=this.shadowRoot)==null?void 0:i.querySelector(".submit-button");e.disabled=!0,e.textContent="Checking...",setTimeout(()=>{this.shadowRoot&&(this.shadowRoot.innerHTML=`
          <div style="text-align: center; padding: 2rem; font-family: system-ui, sans-serif;">
            <div style="color: #059669; font-size: 1.25rem; margin-bottom: 1rem;">
              Thank you for participating!
            </div>
            <div style="color: #374151;">
              Your answer has been recorded.
            </div>
          </div>
        `)},1e3)}}customElements.get("poll-widget")||customElements.define("poll-widget",s);class n extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"})}async connectedCallback(){const t=this.getAttribute("post-id");if(t)try{const o=await(await fetch(`https://your-api.com/posts/${t}/summary`)).json();this.render(o)}catch(e){console.error("Failed to load summary:",e),this.renderError()}}render(t){this.shadowRoot&&(this.shadowRoot.innerHTML=`
      <style>
        :host {
          display: block;
          font-family: system-ui, sans-serif;
        }
        .summary-container {
          background: white;
          border-radius: 8px;
          box-shadow: 0 2px 4px rgba(0,0,0,0.1);
          padding: 1rem;
          margin: 1rem;
        }
        .title {
          font-size: 1.25rem;
          font-weight: bold;
          margin-bottom: 0.5rem;
        }
        .meta {
          color: #64748b;
          font-size: 0.875rem;
          margin-bottom: 1rem;
        }
        .content {
          line-height: 1.5;
        }
      </style>
      <div class="summary-container">
        <div class="title">${t.title}</div>
        <div class="meta">
          ${t.author} • ${new Date(t.date).toLocaleDateString()}
        </div>
        <div class="content">${t.summary}</div>
      </div>
    `)}renderError(){this.shadowRoot&&(this.shadowRoot.innerHTML=`
      <div style="color: red; padding: 1rem;">
        Failed to load blog summary. Please try again later.
      </div>
    `)}}customElements.define("blog-summary-widget",n);const a=()=>{if(window.ContentWidgets){console.warn("Content Widgets already initialized");return}window.ContentWidgets={version:"1.0.0",init:a},console.log("Content Widgets initialized successfully")};a()});
